/* determines number of subjects per group
   3 timepoints
   linear increasing effect sizes of 0 .25 .5
   group by linear contrast across time
   AR1 structure with rho=.5
   power = .8 for a 2-tailed .05 test
*/
mata
za = invnormal(.975)
zb = invnormal(.80)
meandiff = (0, .25, .5)
contrast = (-1, 0, 1)
corrmat = (  1 , .5 , .25  \
            .5 , 1  , .5   \
	    .25 , .5 , 1 )
contdiff = contrast * meandiff'
contvar  = contrast * corrmat * contrast'
NperGrp = ((2*(za+zb)^2) * contvar) / (contdiff^2)
NperGrp
end
